## ros-melodic-vesc-driver 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(vesc_driver)

find_package(Boost REQUIRED)

find_package(catkin REQUIRED COMPONENTS
  nodelet
  pluginlib
  roscpp
  roslint
  serial
  std_msgs
  vesc_msgs
)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS
    nodelet
    pluginlib
    std_msgs
    vesc_msgs serial
)

###########
## Build ##
###########

include_directories(
  include
  ${Boost_INCLUDE_DIRS}
  ${catkin_INCLUDE_DIRS}
)

# node executable
add_executable(vesc_driver_node src/vesc_driver_node.cpp
                                src/vesc_driver.cpp
                                src/vesc_interface.cpp
                                src/vesc_packet.cpp
                                src/vesc_packet_factory.cpp)
add_dependencies(vesc_driver_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(vesc_driver_node
  ${catkin_LIBRARIES}
)

# nodelet library
add_library(vesc_driver_nodelet src/vesc_driver_nodelet.cpp
                                src/vesc_driver.cpp
                                src/vesc_interface.cpp
                                src/vesc_packet.cpp
                                src/vesc_packet_factory.cpp)
add_dependencies(vesc_driver_nodelet ${catkin_EXPORTED_TARGETS})
target_link_libraries(vesc_driver_nodelet
  ${catkin_LIBRARIES}
)

roslint_cpp()

#############
## Install ##
#############

install(TARGETS vesc_driver_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(TARGETS vesc_driver_nodelet
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
install(FILES vesc_driver_nodelet.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  roslint_add_test()
endif()

=== debian/changelog ===
ros-melodic-vesc-driver (1.0.0-1stretch) stretch; urgency=high

  * Applying roslint and replacing registration macro with templated class.
  * Adding roslint.
  * Adding licenses.
  * Updating maintainers, authors, and URLs.
  * added onboard car
  * Contributors: Joshua Whitley, billyzheng

 -- Johannes Betz <joebetz@seas.upenn.edu>  Wed, 02 Dec 2020 06:00:00 -0000

=== debian/control ===
Source: ros-melodic-vesc-driver
Section: misc
Priority: optional
Maintainer: Johannes Betz <joebetz@seas.upenn.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-nodelet, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-serial, ros-melodic-std-msgs, ros-melodic-vesc-msgs
Homepage: http://www.ros.org/wiki/vesc_driver
Standards-Version: 3.9.2

Package: ros-melodic-vesc-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-nodelet, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-serial, ros-melodic-std-msgs, ros-melodic-vesc-msgs
Description: ROS device driver for the Vedder VESC open source motor driver.

## ros-melodic-vesc-driver 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,14 @@
 cmake_minimum_required(VERSION 2.8.3)
 project(vesc_driver)
+
+# Set minimum C++ standard to C++11
+if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
+  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
+  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
+  set(CMAKE_CXX_STANDARD 11)
+endif()
 
 find_package(Boost REQUIRED)
 
@@ -54,7 +63,14 @@
   ${catkin_LIBRARIES}
 )
 
-roslint_cpp()
+file(GLOB_RECURSE ${PROJECT_NAME}_CPP_FILES
+  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
+  . *.cpp *.h)
+list(REMOVE_ITEM ${PROJECT_NAME}_CPP_FILES
+  include/${PROJECT_NAME}/crc.h)
+
+set(ROSLINT_CPP_OPTS "--filter=-build/c++11")
+roslint_cpp(${${PROJECT_NAME}_CPP_FILES})
 
 #############
 ## Install ##

=== debian/changelog ===
ros-melodic-vesc-driver (1.1.0-1bionic) bionic; urgency=high

  * Merge pull request #1 <https://github.com/f1tenth/vesc/issues/1> from f1tenth/melodic-devel
    Updating for Melodic
  * Exclude crc.h from roslint.
  * Replacing boost::crc with CRCPP.
  * Replacing boost::begin, boost::end, and boost::distance with Standard Library equivalents.
  * Replacing boost::bind with Standard Library equivalent.
  * Replaing boost::noncopyable with C++ equivalent.
  * Replacing boost::function with Standard Library version.
  * Replacing Boost smart pointers with Standard Library equivalents.
  * Removing unnecessary v8stdint.h.
  * Updating package.xml to format 3 and setting C++ standard to 11.
  * Contributors: Joshua Whitley

 -- Johannes Betz <joebetz@seas.upenn.edu>  Sat, 12 Dec 2020 06:00:00 -0000

ros-melodic-vesc-driver (1.0.0-1bionic) bionic; urgency=high

  * Applying roslint and replacing registration macro with templated class.
  * Adding roslint.
  * Adding licenses.
  * Updating maintainers, authors, and URLs.
  * added onboard car
  * Contributors: Joshua Whitley, billyzheng

 -- Johannes Betz <joebetz@seas.upenn.edu>  Wed, 02 Dec 2020 06:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-vesc-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
